com.amazonaws.services.machinelearning.model

## Class CreateEvaluationRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.machinelearning.model.CreateEvaluationRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class CreateEvaluationRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`CreateEvaluationRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateEvaluationRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getEvaluationDataSourceId()` The ID of the `DataSource` for the evaluation.
`String` `getEvaluationId()` A user-supplied ID that uniquely identifies the `Evaluation`.
`String` `getEvaluationName()` A user-supplied name or description of the `Evaluation`.
`String` `getMLModelId()` The ID of the `MLModel` to evaluate.
`int` `hashCode()`
`void` `setEvaluationDataSourceId(String evaluationDataSourceId)` The ID of the `DataSource` for the evaluation.
`void` `setEvaluationId(String evaluationId)` A user-supplied ID that uniquely identifies the `Evaluation`.
`void` `setEvaluationName(String evaluationName)` A user-supplied name or description of the `Evaluation`.
`void` `setMLModelId(String mLModelId)` The ID of the `MLModel` to evaluate.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateEvaluationRequest` `withEvaluationDataSourceId(String evaluationDataSourceId)` The ID of the `DataSource` for the evaluation.
`CreateEvaluationRequest` `withEvaluationId(String evaluationId)` A user-supplied ID that uniquely identifies the `Evaluation`.
`CreateEvaluationRequest` `withEvaluationName(String evaluationName)` A user-supplied name or description of the `Evaluation`.
`CreateEvaluationRequest` `withMLModelId(String mLModelId)` The ID of the `MLModel` to evaluate.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateEvaluationRequest

    public CreateEvaluationRequest()

### Method Detail

#### setEvaluationId

    public void setEvaluationId(String evaluationId)

A user-supplied ID that uniquely identifies the `Evaluation`.

Parameters:
  `evaluationId` - A user-supplied ID that uniquely identifies the `Evaluation`.

#### getEvaluationId

    public String getEvaluationId()

A user-supplied ID that uniquely identifies the `Evaluation`.

Returns:
  A user-supplied ID that uniquely identifies the `Evaluation`.

#### withEvaluationId

    public CreateEvaluationRequest withEvaluationId(String evaluationId)

A user-supplied ID that uniquely identifies the `Evaluation`.

Parameters:
  `evaluationId` - A user-supplied ID that uniquely identifies the `Evaluation`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEvaluationName

    public void setEvaluationName(String evaluationName)

A user-supplied name or description of the `Evaluation`.

Parameters:
  `evaluationName` - A user-supplied name or description of the `Evaluation`.

#### getEvaluationName

    public String getEvaluationName()

A user-supplied name or description of the `Evaluation`.

Returns:
  A user-supplied name or description of the `Evaluation`.

#### withEvaluationName

    public CreateEvaluationRequest withEvaluationName(String evaluationName)

A user-supplied name or description of the `Evaluation`.

Parameters:
  `evaluationName` - A user-supplied name or description of the `Evaluation`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMLModelId

    public void setMLModelId(String mLModelId)

The ID of the `MLModel` to evaluate.

The schema used in creating the `MLModel` must match the schema of the `DataSource` used in the `Evaluation`.

Parameters:
  `mLModelId` - The ID of the `MLModel` to evaluate.

  The schema used in creating the `MLModel` must match the schema of the `DataSource` used in the `Evaluation`.

#### getMLModelId

    public String getMLModelId()

The ID of the `MLModel` to evaluate.

The schema used in creating the `MLModel` must match the schema of the `DataSource` used in the `Evaluation`.

Returns:
  The ID of the `MLModel` to evaluate.

  The schema used in creating the `MLModel` must match the schema of the `DataSource` used in the `Evaluation`.

#### withMLModelId

    public CreateEvaluationRequest withMLModelId(String mLModelId)

The ID of the `MLModel` to evaluate.

The schema used in creating the `MLModel` must match the schema of the `DataSource` used in the `Evaluation`.

Parameters:
  `mLModelId` - The ID of the `MLModel` to evaluate.

  The schema used in creating the `MLModel` must match the schema of the `DataSource` used in the `Evaluation`.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEvaluationDataSourceId

    public void setEvaluationDataSourceId(String evaluationDataSourceId)

The ID of the `DataSource` for the evaluation. The schema of the `DataSource` must match the schema used to create the `MLModel`.

Parameters:
  `evaluationDataSourceId` - The ID of the `DataSource` for the evaluation. The schema of the `DataSource` must match the schema used to create the `MLModel`.

#### getEvaluationDataSourceId

    public String getEvaluationDataSourceId()

The ID of the `DataSource` for the evaluation. The schema of the `DataSource` must match the schema used to create the `MLModel`.

Returns:
  The ID of the `DataSource` for the evaluation. The schema of the `DataSource` must match the schema used to create the `MLModel`.

#### withEvaluationDataSourceId

    public CreateEvaluationRequest withEvaluationDataSourceId(String evaluationDataSourceId)

The ID of the `DataSource` for the evaluation. The schema of the `DataSource` must match the schema used to create the `MLModel`.

Parameters:
  `evaluationDataSourceId` - The ID of the `DataSource` for the evaluation. The schema of the `DataSource` must match the schema used to create the `MLModel`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateEvaluationRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`